"""
Copyright 2021-2023 MICRORISC s.r.o.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

	http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""

from enum import Enum


class SoftwareBackup(str, Enum):
	"""Software backup enum."""

	ALL = 'all'
	CLOUD_PROVISIONING = 'cloud-prov'
	CONTROLLER = 'controller'
	DAEMON = 'daemon'
	INFLUXDB_BRIDGE = 'influxdb-bridge'
	NETWORK_MANAGER = 'nm'
	UPLOADER = 'uploader'


class FactoryResetSoftware(str, Enum):
	"""Software factory reset enum."""

	ALL = 'all'
	CLOUD_PROVISIONING = 'cloud-prov'
	CONTROLLER = 'controller'
	DAEMON = 'daemon'
	INFLUXDB_BRIDGE = 'influxdb-bridge'
	IQAROS = 'iqaros'
	NETWORK_MANAGER = 'nm'
	UPLOADER = 'uploader'
	WEBAPP = 'webapp'


class SystemdServices(str, Enum):
	"""Systemd service software enum."""

	AVAHI_DAEMON = 'avahi-daemon'
	CLOUD_PROVISIONING = 'iqrf-cloud-provisioning'
	CONTROLLER = 'iqrf-gateway-controller'
	DAEMON = 'iqrf-gateway-daemon'
	INFLUXDB_BRIDGE = 'iqrf-gateway-influxdb-bridge'
	MENDER_CLIENT = 'mender-client'
	MENDER_CONNECT = 'mender-connect'
	MODEM_MANAGER = 'ModemManager'
	MOSQUITTO = 'mosquitto'
	NETWORK_MANAGER = 'NetworkManager'
	NGINX = 'nginx'
	RESOLVCONF = 'resolvconf'
